Bug 1000449 - sigsegv testing membership in env.option_ids
sigsegv testing membership in env.option_ids
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libcomps (Show other bugs)
20
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jindrich Luza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 09:17 EDT by Ales Kozumplik
Modified: 2014-09-30 19:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 10:21:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Kozumplik 2013-08-23 09:17:53 EDT
with libcomps-0.1.3-1.fc19.x86_64 the following ends up with a SIGEGV on the last line:

#! /usr/bin/python

FN = '/home/akozumpl/tmp/repodata/6cb5995a4849a9bbd94300eae97e6511317cc60222350e511aa660a5922ab292-comps-rawhide.xml'

import dnf.comps

c = dnf.comps.Comps()
c.add_from_xml_filename(FN)
groups = c.groups
env = c.environment_by_pattern('*gnome*')
for grp in groups:
    id_ = grp.id
    print(id_ in env.option_ids)

Please treat this a high-prio as its blocking progress on the DNF Payload for Anaconda.
Comment 1 Jindrich Luza 2013-08-27 10:21:19 EDT
Bug is fixed in libcomps-0.1.3-2, which appear in fedora 20 after freeze.

Note You need to log in before you can comment on or make changes to this bug.